Skip to navigation

Update Company Catalog

Updates the price list assigned to the Company account. This endpoint is not supported for stores using Independent Companies behavior.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
Unique numeric ID of the Company account.

Request

This endpoint expects an object.
catalogIdstringRequired

The ID of the price list assigned to the Company account. This field is read-only for stores using Independent Companies Behavior.

If your store uses legacy Dependent Companies behavior and it does not have Multi-Storefront enabled, this field is required for creating new Company accounts. If your store has Multi-Storefront enabled, use the priceListAssign array instead.

Response

OK
codedoubleOptional
metaobjectOptional
dataobjectOptional

Errors

405
Method Not Allowed Error